<template>
    <div class="overview-cards">
      <div v-for="card in cards" :key="card.title" class="card">
        <div class="icon-container">
          <img :src="card.icon" alt="Icon" class="icon-block" />
        </div>
        <h3>{{ card.title }}</h3>
        <p class="value">{{ card.value }}</p>
        <p class="change">
          <span :class="card.change > 0 ? 'increase' : 'decrease'">
            {{ card.change > 0 ? '↑' : '↓' }}
            {{ Math.abs(card.change) }}% {{ card.changeType }} from last month
          </span>
        </p>
      </div>
    </div>
  </template>
  
  <script>
  export default {
    name: 'OverviewCards',
    data() {
      return {
        cards: [
          { 
            icon: require('@/assets/scale-icon.png'), title: 'Total revenue', value: '$53,00989', change: 12, changeType: 'increase' 
          },
          { 
            icon: require('@/assets/work-icon.png'), title: 'Projects', value: '95/100', change: -10, changeType: 'decrease' 
          },
          { 
            icon: require('@/assets/time-icon.png'), title: 'Time spent', value: '1022/1300 Hrs', change: 8, changeType: 'increase' 
          },
          { 
            icon: require('@/assets/person-icon.png'), title: 'Resources', value: '101/120', change: 2, changeType: 'increase' 
          },
        ]
      }
    }
  }
  </script>
  
  <style scoped>



  .overview-cards {
    display: flex;justify-content: space-around;
    gap: 1rem;
  }
  
  .card {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 1rem;
    background-color: #fff;
    border-radius: 25px;
   
    width: 20%;
    background: rgba(255, 255, 255, 0.34);
  }
  .card h3{color: #797979;


  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;}
    
  .icon-container {
    background-color: #f2f2f2;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 1rem;
  }
  .icon-block{
    display: block;
    width: 60px;
    height: 60px;
  }
  
  .value {
    font-size: 1.5rem;
    margin-top: 1rem;
  }
  
  .change {
    margin-top: 0.5rem;
  }
  
  .increase {
    color: green;
  }
  
  .decrease {
    color: red;
  }
  </style>
  